## sphinx-autobuild 0.7.1

=== requirements.txt ===
watchdog>=0.7.1
argh>=0.24.1
pathtools>=0.1.2
PyYAML>=3.10
tornado>=3.2
port_for==0.3.1
livereload>=2.3.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

livehtml:
	python -m sphinx_autobuild -p 8880 -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ccookiecutterproject_name.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ccookiecutterproject_name.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ccookiecutterproject_name"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ccookiecutterproject_name"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
sphinx-autobuild (0.7.1-2) unstable; urgency=medium

  * Updating to debhelper 12.
  * Updating to standards version 4.3.0.
  * Updating year in copyright for 2019.
  * Change email address
  * Change from debhelper to debhelper-compat

 -- David Kunz <david.kunz@dknet.ch>  Fri, 04 Jan 2019 11:51:20 +0100

sphinx-autobuild (0.7.1-1) unstable; urgency=medium

  * Initial release (Closes: #901505).

 -- David Kunz <david.kunz@dknet.ch>  Tue, 04 Sep 2018 10:57:12 +0200

=== debian/control ===
Source: sphinx-autobuild
Section: python
Priority: optional
Maintainer: David Kunz <david.kunz@dknet.ch>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://github.com/GaretJax/sphinx-autobuild
Vcs-Browser: https://salsa.debian.org/david-guest/sphinx-autobuild
Vcs-Git: https://salsa.debian.org/david-guest/sphinx-autobuild.git

Package: python3-sphinx-autobuild
Section: python
Architecture: all
Depends:
 python3-port-for,
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 python3-sphinx,
Description: Automatically rebuild Sphinx documentation
 Sphinx autobuild watches a Sphinx directory and rebuild the documentation when
 a change is detected. Also includes a livereload enabled web server.

## sphinx-autobuild 2021.3.14

=== debian/changelog ===
sphinx-autobuild (2021.3.14-2) unstable; urgency=medium

  * Changing to setuptools to fix installation of /usr/bin/sphinx-autobuild.

 -- David Kunz <david.kunz@dknet.ch>  Wed, 16 Feb 2022 14:25:48 +0100

sphinx-autobuild (2021.3.14-1) unstable; urgency=medium

  * Merging upstream version 2021.3.14.
  * Adding watch file.
  * Updating debhelper-compat to 13.
  * Updating Standards-Version to 4.6.0.
  * Updating vcs.
  * Updating copyright.
  * Remove patches.
  * Change rules for README handling.
  * Updating depends, because the backend has been changed to
    python3-livereload.

 -- David Kunz <david.kunz@dknet.ch>  Wed, 09 Feb 2022 14:51:22 +0100

sphinx-autobuild (0.7.1-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 19:22:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Priority: optional
 Maintainer: David Kunz <david.kunz@dknet.ch>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/GaretJax/sphinx-autobuild
-Vcs-Browser: https://salsa.debian.org/david-guest/sphinx-autobuild
-Vcs-Git: https://salsa.debian.org/david-guest/sphinx-autobuild.git
+Vcs-Browser: https://salsa.debian.org/david.kunz/sphinx-autobuild
+Vcs-Git: https://salsa.debian.org/david.kunz/sphinx-autobuild.git
 
 Package: python3-sphinx-autobuild
 Section: python
 Architecture: all
 Depends:
- python3-port-for,
+ python3-livereload,
  ${misc:Depends},
  ${python3:Depends},
 Enhances:

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sphinx-autobuild

%:
	dh ${@} --buildsystem=pybuild --with python3

override_dh_auto_install:
	dh_auto_install

	mkdir -p debian/python3-$(PYBUILD_NAME)/usr/share/doc/python3-$(PYBUILD_NAME)
	cp README.md debian/python3-$(PYBUILD_NAME)/usr/share/doc/python3-$(PYBUILD_NAME)/README

override_dh_auto_test:
	# disabled

override_dh_installchangelogs:
	dh_installchangelogs NEWS.rst

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sphinx-autobuild/sphinx-autobuild-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sphinx-autobuild 2024.09.03

=== debian/changelog ===
sphinx-autobuild (2024.09.03-1) unstable; urgency=medium

  * Updating d/watch to upstream github.
  * Merging upstream version 2024.09.03.
  * Removing patch for removed file.
  * Removing handling for nonexisting file in d/rules.
  * Updating d/copyright for debian.
  * Updating depends in d/control.

 -- David Kunz <david.kunz@dknet.ch>  Wed, 11 Sep 2024 13:28:43 +0200

sphinx-autobuild (2021.3.14-3) unstable; urgency=medium

  * Updating build using pybuild-plugin-pyproject,
  * Fixing file permissions.

 -- David Kunz <david.kunz@dknet.ch>  Mon, 12 Dec 2022 15:00:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ flit,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
@@ -18,6 +20,12 @@
 Architecture: all
 Depends:
  python3-livereload,
+ python3-colorama,
+ python3-sphinx,
+ python3-starlette,
+ python3-uvicorn,
+ python3-watchfiles,
+ python3-websockets,
  ${misc:Depends},
  ${python3:Depends},
 Enhances:

## sphinx-autobuild 2024.10.03

=== debian/changelog ===
sphinx-autobuild (2024.10.03-1) unstable; urgency=medium

  * Merging upstream version 2024.10.03 (Closes: #1078697).

 -- David Kunz <david.kunz@dknet.ch>  Mon, 14 Oct 2024 10:05:20 +0200

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
 Section: python
 Architecture: all
 Depends:
+ python3-colorama,
  python3-livereload,
- python3-colorama,
  python3-sphinx,
  python3-starlette,
  python3-uvicorn,

## sphinx-autobuild 2025.08.25

=== debian/changelog ===
sphinx-autobuild (2025.08.25-1) unstable; urgency=medium

  * Updating Standards-Version to 4.7.0.
  * Merging upstream version 2025.08.25.
  * Updating copyright for d/.

 -- David Kunz <david.kunz@dknet.ch>  Thu, 25 Sep 2025 15:26:25 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/GaretJax/sphinx-autobuild
 Vcs-Browser: https://salsa.debian.org/david.kunz/sphinx-autobuild
 Vcs-Git: https://salsa.debian.org/david.kunz/sphinx-autobuild.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,10 @@
 	dh_auto_install
 
 	mkdir -p debian/python3-$(PYBUILD_NAME)/usr/share/doc/python3-$(PYBUILD_NAME)
-	cp README.md debian/python3-$(PYBUILD_NAME)/usr/share/doc/python3-$(PYBUILD_NAME)/README
+
+override_dh_fixperms:
+	dh_fixperms
+	find -name '__init__.py' -exec chmod 0644 {} +
 
 override_dh_auto_test:
 	# disabled

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sphinx-autobuild-$1\.tar\.gz/ \
  https://github.com/sphinx-doc/sphinx-autobuild/tags .*/v?(\d\S+)\.tar\.gz
